Debian Bug report logs - #632149
rakarrack: Fails to load bank and filter files

version graph

Package: rakarrack; Maintainer for rakarrack is Tiago Bortoletto Vaz <tiago@debian.org>; Source for rakarrack is src:rakarrack.

Reported by: Bernat <berarma@hotmail.com>

Date: Wed, 29 Jun 2011 21:57:01 UTC

Severity: important

Tags: patch, sid

Found in version rakarrack/0.6.1-2

Fixed in version rakarrack/0.6.1-3

Done: Tiago Bortoletto Vaz <tiago@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tiago Bortoletto Vaz <tiago@debian.org>:
Bug#632149; Package rakarrack. (Wed, 29 Jun 2011 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernat <berarma@hotmail.com>:
New Bug report received and forwarded. Copy sent to Tiago Bortoletto Vaz <tiago@debian.org>. (Wed, 29 Jun 2011 21:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bernat <berarma@hotmail.com>
To: submit@bugs.debian.org
Subject: rakarrack: Fails to load bank and filter files
Date: Wed, 29 Jun 2011 23:54:29 +0200
Package: rakarrack
Version: 0.6.1-2
Severity: normal
Tags: sid

The previous versions didn't have this problem at all. After upgrade I can't
change banks and it shows error windows saying it can find bank files 
and other
files related to effects.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (450, 'experimental'), (450, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/1 CPU core)
Locale: LANG=es_ES.utf8, LC_CTYPE=es_ES.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages rakarrack depends on:
ii  jackd                   5                JACK Audio Connection Kit 
(default
ii  libasound2              1.0.23-4         shared library for ALSA 
applicatio
ii  libc6                   2.13-7           Embedded GNU C Library: 
Shared lib
ii  libfltk1.1              1.1.10-6         Fast Light Toolkit - shared 
librar
ii  libfontconfig1          2.8.0-3          generic font configuration 
library
ii  libfreetype6            2.4.4-2          FreeType 2 font engine, 
shared lib
ii  libgcc1                 1:4.6.1-1        GCC support library
ii  libjack-jackd2-0 [libja 1.9.7~dfsg-1     JACK Audio Connection Kit 
(librari
ii  libsamplerate0          0.1.7-3          Audio sample rate 
conversion libra
ii  libsndfile1             1.0.24-1         Library for reading/writing 
audio
ii  libstdc++6              4.6.1-1          GNU Standard C++ Library v3
ii  libx11-6                2:1.4.3-2        X11 client-side library
ii  libxft2                 2.2.0-3          FreeType-based font drawing 
librar
ii  libxpm4                 1:3.5.9-1        X11 pixmap library
ii  libxrender1             1:0.9.6-2        X Rendering Extension 
client libra
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

rakarrack recommends no packages.

rakarrack suggests no packages.

-- no debconf information

-- 
Bernat





Severity set to 'important' from 'normal' Request was from Bernat <berarma@hotmail.com> to control@bugs.debian.org. (Thu, 30 Jun 2011 16:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tiago Bortoletto Vaz <tiago@debian.org>:
Bug#632149; Package rakarrack. (Fri, 08 Jul 2011 22:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Potyra <sistpoty@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Tiago Bortoletto Vaz <tiago@debian.org>. (Fri, 08 Jul 2011 22:03:06 GMT) Full text and rfc822 format available.

Message #12 received at 632149@bugs.debian.org (full text, mbox):

From: Stefan Potyra <sistpoty@ubuntu.com>
To: 632149@bugs.debian.org
Cc: ryjobil@gmail.com
Subject: rakarrack: Fails to load bank and filter files (bandaid patch)
Date: Fri, 8 Jul 2011 23:55:01 +0200
[Message part 1 (text/plain, inline)]
Hi,

the new debian package builds out of tree (in order to build two variants of
rakarrack). It looks like that this is part of this bug. After some
trial-and-error, I think the generated config.h in the out-of-tree directory
doesn't get picked up. I don't have any clue yet, why.

One workaround is to simply change src/config.h with the desired prefix, patch
attached. However that certainly is the real fix.

Ryan (CC'd), maybe you have some more clues?

Cheers,
  Stefan.
[rakarrack.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tiago Bortoletto Vaz <tiago@debian.org>:
Bug#632149; Package rakarrack. (Thu, 21 Jul 2011 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Potyra <sistpoty@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Tiago Bortoletto Vaz <tiago@debian.org>. (Thu, 21 Jul 2011 20:51:03 GMT) Full text and rfc822 format available.

Message #17 received at 632149@bugs.debian.org (full text, mbox):

From: Stefan Potyra <sistpoty@ubuntu.com>
To: 632149@bugs.debian.org
Subject: RE: rakarrack: Fails to load bank and filter files
Date: Thu, 21 Jul 2011 22:46:47 +0200
[Message part 1 (text/plain, inline)]
Hi,

found out the reason: the upstream tarball contains a config.h in src. The
out-of-tree invocation of configure produces a new config.h in the build-tree.
However the one in src get's picked up first by the compiler.

Simple fix: remove src/config.h prior to calling configure, trivial patch
attached.

I've also created an upstream bugreport at 
<http://sourceforge.net/tracker/?func=detail&aid=3374212&group_id=215888&atid=1035482>

Cheers,
    Stefan.
[rakarrack.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Stefan Potyra <sistpoty@ubuntu.com> to control@bugs.debian.org. (Thu, 21 Jul 2011 20:54:03 GMT) Full text and rfc822 format available.

Reply sent to Tiago Bortoletto Vaz <tiago@debian.org>:
You have taken responsibility. (Mon, 25 Jul 2011 18:48:18 GMT) Full text and rfc822 format available.

Notification sent to Bernat <berarma@hotmail.com>:
Bug acknowledged by developer. (Mon, 25 Jul 2011 18:48:18 GMT) Full text and rfc822 format available.

Message #24 received at 632149-close@bugs.debian.org (full text, mbox):

From: Tiago Bortoletto Vaz <tiago@debian.org>
To: 632149-close@bugs.debian.org
Subject: Bug#632149: fixed in rakarrack 0.6.1-3
Date: Mon, 25 Jul 2011 18:47:55 +0000
Source: rakarrack
Source-Version: 0.6.1-3

We believe that the bug you reported is fixed in the latest version of
rakarrack, which is due to be installed in the Debian FTP archive:

rakarrack_0.6.1-3.diff.gz
  to main/r/rakarrack/rakarrack_0.6.1-3.diff.gz
rakarrack_0.6.1-3.dsc
  to main/r/rakarrack/rakarrack_0.6.1-3.dsc
rakarrack_0.6.1-3_i386.deb
  to main/r/rakarrack/rakarrack_0.6.1-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632149@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tiago Bortoletto Vaz <tiago@debian.org> (supplier of updated rakarrack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 Jul 2011 09:29:53 -0300
Source: rakarrack
Binary: rakarrack
Architecture: source i386
Version: 0.6.1-3
Distribution: unstable
Urgency: low
Maintainer: Tiago Bortoletto Vaz <tiago@debian.org>
Changed-By: Tiago Bortoletto Vaz <tiago@debian.org>
Description: 
 rakarrack  - Simple and easy guitar effects processor for GNU/Linux
Closes: 632149
Changes: 
 rakarrack (0.6.1-3) unstable; urgency=low
 .
   * debian/rules: Remove src/config.h before the invocation of configure.
     Since configure is called out-of-tree, the upstream provided config.h
     is used instead of the freshly created config.h. Thanks to Stefan Potyra
     for the patch. (Closes: #632149)
Checksums-Sha1: 
 5dadee179314cbe3f541547f3408d41a1ad76e0a 1268 rakarrack_0.6.1-3.dsc
 557d3936f2531a9bde0b7aeba89c70863ff66faa 5100 rakarrack_0.6.1-3.diff.gz
 da6e453edf3c75efa6c41560b58e55806c4bf1d4 2608668 rakarrack_0.6.1-3_i386.deb
Checksums-Sha256: 
 86d0f24c31a153a597211e5bdc6f899cea9191b0a761642f501bbec25f02830c 1268 rakarrack_0.6.1-3.dsc
 db9b8f0cc9c79dd2d96ea02814769a9325570e49b9eb5097b613beb11283ce94 5100 rakarrack_0.6.1-3.diff.gz
 fcda081d6e84af420bb0379a56b515315e30a1df5014e1299e1eee0042a679a7 2608668 rakarrack_0.6.1-3_i386.deb
Files: 
 b002ea9ae0c5ef0fafb7e3abd0a0553b 1268 sound extra rakarrack_0.6.1-3.dsc
 4075588ade0a87608a53e32dd116fe82 5100 sound extra rakarrack_0.6.1-3.diff.gz
 5608bc2b00a71e8554db2ce75223e49f 2608668 sound extra rakarrack_0.6.1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk4ttkwACgkQaQ1iFKUE/soYkQCeKX+OvoSWCCUTDZlSwwHxqbAz
lCcAoIV2lyciJiirYtyMybIt775s/gmx
=BcuT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Sep 2011 07:38:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:15:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.